#include "Delay.hpp"
#include "stm32f10x_gpio.h"
#include "ztLed.hpp"
#include "ztOLED.hpp"

int main(){
	zt::Led leda0(RCC_APB2Periph_GPIOA,GPIO_Pin_0,GPIOA);
	zt::Led ledc13(RCC_APB2Periph_GPIOC,GPIO_Pin_13,GPIOC);

	zt::Oled oled(RCC_APB2Periph_GPIOB,GPIOB,GPIO_Pin_8,GPIO_Pin_9);
	oled.ShowString(1, 1, "Hello,world!")
		.ShowString(2, 1, "by Zengtudor")
		.ShowString(3, 1, "From BDFS EECRPD")
		.ShowString(4, 1, "time:");

	u32 delayTime = 500;
	u32 time = 0;
	while(true){
		time++;
		leda0.setOn();
		ledc13.setOff();
		delay_ms(delayTime);
		leda0.setOff();
		ledc13.setOn();
		delay_ms(delayTime);
		oled.ShowUNum(4, 6, time);
	}
}